Bug 230285 - FEAT: request for configured kickstart file which includes the min. hts package set
Summary: FEAT: request for configured kickstart file which includes the min. hts packa...
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Test Suite (harness)   
(Show other bugs)
Version: 5
Hardware: All Linux
medium
medium
Target Milestone: ---
: ---
Assignee: YangKun
QA Contact: Lawrence Lim
URL:
Whiteboard:
Keywords: Documentation
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-27 22:58 UTC by Rob Landry
Modified: 2014-03-26 00:55 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: ====== The need for speeding up the Hardware Certification process. Consequence: ============ Spend much time on OS installation. Fix: ==== Provide pre-configured kickstart files to speed up or to automate the OS installation. Result: ======= The OS installation will no longer consume much time by utilizing those pre-configured kickstart files.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-27 16:34:21 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Kickstart files for dom0 and domU (14.69 KB, text/plain)
2009-02-26 20:23 UTC, Gary Case
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2009:1234 normal SHIPPED_LIVE new package: v7 2009-08-27 16:33:58 UTC

Description Rob Landry 2007-02-27 22:58:35 UTC
Description of problem:

$summary, I haven't verified, but I want to say some time back; kickstart was
made smart enough that if you used it and it couldn't figure out the answer it
would prompt the user and then continue back into the the kickstart.  So I
believe this would provide a reasonable starting point for people.  Though, I'm
not certain what happens when you say try to install audio from kickstart on a
zSeries or other platform that doesn't have that package.  Missing packages used
to cause problems, not certain if it'd get over it so long as it doesn't cause a
package dependency problem?

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 6 Gary Case 2009-02-26 20:23:12 UTC
Created attachment 333381 [details]
Kickstart files for dom0 and domU

Comment 7 Gary Case 2009-02-26 20:24:27 UTC
I've just attached my dom0 and domU kickstart files along with the scripts and directions needed to do a nearly fully automated install of RHEL5.3 dom0 and domU with HTS.

Comment 8 YangKun 2009-05-19 05:27:49 UTC
thanks very much Gary. think we can modify your ks files a bit to cover other platforms. :)

Rob, could we discuss how to package these ks files ? If to build another rpm, where to host them ? In the svn repo ?

Thanks
-YK

Comment 16 Yan Tian 2009-08-13 03:25:53 UTC
Verified both v7-1.0-14.el5 and v7-1.0-14.el4 included following kickstart files:

/usr/share/v7/kickstart
/usr/share/v7/kickstart/rhel4.8
/usr/share/v7/kickstart/rhel4.8/rhel4.8-i386-ks.cfg
/usr/share/v7/kickstart/rhel4.8/rhel4.8-ia64-ks.cfg
/usr/share/v7/kickstart/rhel4.8/rhel4.8-ppc-ks.cfg
/usr/share/v7/kickstart/rhel4.8/rhel4.8-x86_64-ks.cfg
/usr/share/v7/kickstart/rhel5.3
/usr/share/v7/kickstart/rhel5.3/rhel5.3-i386-dom0.cfg
/usr/share/v7/kickstart/rhel5.3/rhel5.3-i386-domU.cfg
/usr/share/v7/kickstart/rhel5.3/rhel5.3-ia64-dom0.cfg
/usr/share/v7/kickstart/rhel5.3/rhel5.3-ia64-domU.cfg
/usr/share/v7/kickstart/rhel5.3/rhel5.3-ppc.cfg
/usr/share/v7/kickstart/rhel5.3/rhel5.3-readme.txt
/usr/share/v7/kickstart/rhel5.3/rhel5.3-x86_64-dom0.cfg
/usr/share/v7/kickstart/rhel5.3/rhel5.3-x86_64-domU.cfg

Comment 18 YangKun 2009-08-21 02:14:25 UTC
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
Cause:
======
The need for speeding up the Hardware Certification process.

Consequence:
============
Spend much time on OS installation.

Fix:
====
Provide pre-configured kickstart files to speed up or to automate the OS installation.

Result:
=======
The OS installation will no longer consume much time by utilizing those pre-configured kickstart files.

Comment 19 errata-xmlrpc 2009-08-27 16:34:21 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1234.html


Note You need to log in before you can comment on or make changes to this bug.